#!/bin/sh
# Generated automatically from nntpcache-gdb.sh.in by configure.
PATH=$PATH:/bin:/sbin:/usr/bin:/usr/sbin:/usr/ucb:/usr/local/bin:/usr/local/sbin:/opt/gnu:/opt/gnu/bin:/usr/local/gnu:/usr/local/gnu/bin
export PATH

prog=$1
pid=$2
ver=$3
msg=$4
to=nntpcache-gdb-bug-reports@nntpcache.org
sub="$ver `uname -s -p -r` $msg"
gdb=/usr/bin/gdb
prefix=/usr/local
exec_prefix=/usr/local
sbindir=${exec_prefix}/sbin

test -r $prog || prog=$sbindir/$prog
test -r $prog || prog=`which $prog`

(
echo === uname -a
uname -a
echo === gdb
$gdb -n -q $prog $pid 2>&1 <<EOF
echo === show version\n
show version
echo === show environment\n
show environment
echo === show target\n
info target
print Version\n
echo === info frame\n
info frame
echo === info registers\n
info registers
echo === info args\n
info args
echo === print *Task\n
print *Task
echo === print *Stats\n
print *Stats
echo === print *con\n
print *con
echo === print *ServerList\n
print *ServerList
echo === print *GroupList\n
print *GroupList
echo === print CurrentDir\n
print CurrentDir
echo === where\n
where
detach
EOF
) | ( mail -s "$sub" $to || mailx -s "$sub" $to || elm -s "$sub" $to || mail $to )
